<%@ taglib uri='struts-bean' prefix='bean' %>
<%@ taglib uri='struts-logic' prefix='logic' %>
<%@ taglib uri='struts-html' prefix='html' %>
<%@ taglib uri='struts-genurl' prefix='genurl' %>

<logic:equal name="peForm" property="addingAdmingroup" value="true" >
  <jsp:include page="/docs/header.jsp">
    <jsp:param name="title" value="org.ucal.calendar.title.add.admingroup"/>
  </jsp:include>

  <h2><bean:message key="org.ucal.calendar.header.admingroup.create" /></h2>
</logic:equal>

<logic:notEqual name="peForm" property="addingAdmingroup" value="true" >
  <jsp:include page="/docs/header.jsp">
    <jsp:param name="title" value="org.ucal.calendar.title.mod.admingroup"/>
  </jsp:include>

  <h2><bean:message key="org.ucal.calendar.header.admingroup.update" /></h2>
</logic:notEqual>

<genurl:form action="admingroup/update" >
  <table id="adminGroupFormTable">
    <tr>
      <td class="fieldName">
        Name:
      </td>
      <logic:equal name="peForm" property="addingAdmingroup" value="true" >
        <td>
          <html:text name="peForm" property="updAdminGroup.name" />
        </td>
      </logic:equal>

      <logic:notEqual name="peForm" property="addingAdmingroup" value="true" >
        <td>
          <bean:write name="peForm" property="updAdminGroup.name" />
        </td>
      </logic:notEqual>
    </tr>

    <tr>
      <td class="fieldName">
        Description:
      </td>
      <td>
        <html:textarea property="updAdminGroup.description" cols="50"
                       rows="3" />
      </td>
    </tr>

    <tr>
      <td class="fieldName">
        Group owner:
      </td>
      <td>
        <html:text name="peForm" property="adminGroupGroupOwner" />
      </td>
    </tr>

    <tr>
      <td class="fieldName">
        Events owner:
      </td>
      <td>
        <html:text name="peForm" property="adminGroupEventOwner" />
      </td>
    </tr>
  </table>

  <table border="0" width="100%">
    <tr>
      <logic:equal name="peForm" property="addingAdmingroup" value="true" >
        <td>
          <html:submit property="addAdminGroup" value="Create"/>&nbsp;&nbsp;&nbsp;
          <html:submit property="cancelled" value="Cancel"/>&nbsp;&nbsp;&nbsp;
          <html:reset value="Clear"/>
        </td>
      </logic:equal>

      <logic:notEqual name="peForm" property="addingAdmingroup" value="true" >
        <td>
          <html:submit property="updateAdminGroup" value="Update"/>&nbsp;&nbsp;&nbsp;
          <html:submit property="cancelled" value="Cancel"/>&nbsp;&nbsp;&nbsp;
          <html:reset value="Clear"/>
        </td>
        <td align="right">
          <html:submit property="delete" value="Delete"/>
        </td>
      </logic:notEqual>
    </tr>
  </table>
</genurl:form>

<%@include file="/docs/footer.jsp"%>

