<%@ taglib uri='struts-bean' prefix='bean' %>
<%@ taglib uri='struts-logic' prefix='logic' %>
<%@ taglib uri='struts-html' prefix='html' %>
<%@ taglib uri='struts-genurl' prefix='genurl' %>

<jsp:include page="/docs/header.jsp">
  <jsp:param name="title" value="org.ucal.calendar.title.mod.admingroup.members"/>
</jsp:include>

<h2><bean:message key="org.ucal.calendar.header.admingroup.update.members" /></h2>

<genurl:form action="admingroup/updateMembers" >
  <table id="adminGroupFormTable">
    <tr>
      <td class="fieldName">
        Members:
      </td>

      <td>
        <logic:present name="peForm" property="updAdminGroup.groupMembers" >
          <logic:iterate name="peForm" property="updAdminGroup.groupMembers"
                         id="member" >
            <bean:write name="member" property="account" />&nbsp;
          </logic:iterate>
        </logic:present>
      </td>
    </tr>

    <tr>
      <td class="fieldName">
        Add/remove member:
      </td>

      <td>
        <html:text property="updGroupMember" size="15" />
        <html:submit property="addGroupMember" value="Add" />
        <html:submit property="removeGroupMember" value="Remove" />
      </td>
    </tr>
  </table>
</genurl:form>

<%@include file="/docs/footer.jsp"%>

