<%@ taglib uri='struts-bean' prefix='bean' %>
<%@ taglib uri='struts-logic' prefix='logic' %>
<%@ taglib uri='struts-html' prefix='html' %>
<%@ taglib uri='struts-genurl' prefix='genurl' %>

<logic:equal name="peForm" property="addingEvent" value="true" >
  <logic:equal name="peForm" property="alertEvent" value="true" >
    <jsp:include page="/docs/header.jsp">
      <jsp:param name="title" value="org.ucal.calendar.title.add.alert"/>
    </jsp:include>
  </logic:equal>

  <logic:notEqual name="peForm" property="alertEvent" value="true" >
    <jsp:include page="/docs/header.jsp">
      <jsp:param name="title" value="org.ucal.calendar.title.add.publicevent"/>
    </jsp:include>
  </logic:notEqual>
</logic:equal>

<logic:notEqual name="peForm" property="addingEvent" value="true" >
  <logic:equal name="peForm" property="alertEvent" value="true" >
    <jsp:include page="/docs/header.jsp">
      <jsp:param name="title" value="org.ucal.calendar.title.mod.alert"/>
    </jsp:include>
  </logic:equal>

  <logic:notEqual name="peForm" property="alertEvent" value="true" >
    <jsp:include page="/docs/header.jsp">
      <jsp:param name="title" value="org.ucal.calendar.title.mod.publicevent"/>
    </jsp:include>
  </logic:notEqual>
</logic:notEqual>

<genurl:form action="event/update" >
  <%@include file="modEventCommon.jsp" %>

  <table border="0" width="100%">
    <tr>
      <logic:equal name="peForm" property="addingEvent" value="true" >
        <logic:equal name="peForm" property="alertEvent" value="true" >
          <td>
            <html:submit property="addAlert" value="Submit Alert"/>
            &nbsp;&nbsp;&nbsp;
            <html:submit property="cancelled" value="Cancel"/>
            <input type="reset" value="Clear"/>
          </td>
        </logic:equal>

        <logic:notEqual name="peForm" property="alertEvent" value="true" >
          <td>
            <html:submit property="addEvent" value="Add Event"/>
            &nbsp;&nbsp;&nbsp;
            <html:submit property="cancelled" value="Cancel"/>
            <input type="reset" value="Clear"/>
          </td>
        </logic:notEqual>
      </logic:equal>

      <logic:notEqual name="peForm" property="addingEvent" value="true" >
        <logic:equal name="peForm" property="alertEvent" value="true" >
          <td>
            <html:submit property="updateEvent" value="Update Alert"/>
            &nbsp;&nbsp;&nbsp;
            <html:submit property="forwardto" value="Cancel"/>
            &nbsp;&nbsp;&nbsp;
            <input type="reset" value="Reset"/>
            &nbsp;&nbsp;&nbsp;
            <html:submit property="copy" value="Duplicate Alert"/>
          </td>
          <td align="right">
            <html:submit property="delete" value="Delete Alert"/>
          </td>
        </logic:equal>

        <logic:notEqual name="peForm" property="alertEvent" value="true" >
          <td>
            <html:submit property="updateEvent" value="Update Event"/>
            &nbsp;&nbsp;&nbsp;
            <html:submit property="cancelled" value="Cancel"/>
            &nbsp;&nbsp;&nbsp;
            <input type="reset" value="Reset"/>
            &nbsp;&nbsp;&nbsp;
            <html:submit property="copy" value="Duplicate Event"/>
          </td>
          <td align="right">
            <html:submit property="delete" value="Delete Event"/>
          </td>
        </logic:notEqual>
      </logic:notEqual>
    </tr>
  </table>
</genurl:form>

<%@include file="/docs/footer.jsp"%>

