<%@ taglib uri='struts-bean' prefix='bean' %>
<%@ taglib uri='struts-logic' prefix='logic' %>
<%@ taglib uri='struts-html' prefix='html' %>
<%@ taglib uri='struts-genurl' prefix='genurl' %>

<logic:equal name="peForm" property="addingKeyword" value="true" >
  <jsp:include page="/docs/header.jsp">
    <jsp:param name="title" value="org.ucal.calendar.title.add.keyword"/>
  </jsp:include>
</logic:equal>

<logic:notEqual name="peForm" property="addingKeyword" value="true" >
  <jsp:include page="/docs/header.jsp">
    <jsp:param name="title" value="org.ucal.calendar.title.mod.keyword"/>
  </jsp:include>
</logic:notEqual>

<genurl:form action="keyword/update" >
  <jsp:include page="modKeywordCommon.jsp" />

  <table border="0" width="100%">
    <tr>
      <logic:equal name="peForm" property="addingKeyword" value="true" >
        <td>
          <html:submit property="addKeyword"
                       value="Submit Keyword"/>&nbsp;&nbsp;&nbsp;

          <html:submit property="forwardto" value="Cancel"/>
          <html:reset value="Clear"/>
        </td>
      </logic:equal>

      <logic:notEqual name="peForm" property="addingKeyword" value="true" >
        <td>
          <html:submit property="updateKeyword"
                       value="Submit Keyword"/>&nbsp;&nbsp;&nbsp;
          <html:submit property="forwardto" value="Cancel"/>
          <input type="reset" value="Clear"/>
        </td>
        <td align="right">
          <html:submit property="delete" value="Delete Keyword"/>
        </td>
      </logic:notEqual>
    </tr>
  </table>
</genurl:form>

<%@include file="/docs/footer.jsp"%>

