<%@ taglib uri='struts-bean' prefix='bean' %>
<%@ taglib uri='struts-logic' prefix='logic' %>
<%@ taglib uri='struts-html' prefix='html' %>
<%@ taglib uri='struts-genurl' prefix='genurl' %>

<logic:equal name="peForm" property="addingLocation" value="true" >
  <jsp:include page="/docs/header.jsp">
    <jsp:param name="title" value="org.ucal.calendar.title.add.location"/>
  </jsp:include>
</logic:equal>

<logic:notEqual name="peForm" property="addingLocation" value="true" >
  <jsp:include page="/docs/header.jsp">
    <jsp:param name="title" value="org.ucal.calendar.title.mod.location"/>
  </jsp:include>
</logic:notEqual>

<genurl:form action="location/update" >

  <jsp:include page="modLocationCommon.jsp" />

  <table border="0" width="100%">
    <tr>
      <logic:equal name="peForm" property="addingLocation" value="true" >
        <td>
          <html:submit property="addLocation"
                       value="Submit Location"/>&nbsp;&nbsp;&nbsp;

          <html:submit property="forwardto" value="Cancel"/>
          <html:reset value="Clear"/>
        </td>
      </logic:equal>

      <logic:notEqual name="peForm" property="addingLocation" value="true" >
        <td>
          <html:submit property="updateLocation"
                       value="Submit Location"/>&nbsp;&nbsp;&nbsp;
          <html:submit property="forwardto" value="Cancel"/>
          <input type="reset" value="Clear"/>
        </td>
        <td align="right">
          <html:submit property="delete" value="Delete Location"/>
        </td>
      </logic:notEqual>
    </tr>
  </table>
</genurl:form>

<!-- <h2>Usage:</h2>
<p>When entering locations, please follow these conventions:</p>

<ol>
  <li>
    Use standard room codes where possible in the address field (e.g. DCC 308).
  </li>
  <li>
    Place the street address in the subaddress field; be as specific as possible.
    You do not need to include a street address for locations on campus.
  </li>
</ol>-->

<%@include file="/docs/footer.jsp"%>

